package controllers

import (
	"gocommunity.ru/workshop/internal/models"
	u "gocommunity.ru/workshop/internal/utils"
	"encoding/json"
	"net/http"
)

var CreateVehicle = func(w http.ResponseWriter, r *http.Request) {
	vehicle := &models.Vehicle{}
	err := json.NewDecoder(r.Body).Decode(vehicle)
	if err != nil {
		u.Respond(w, u.Message(false, "Invalid request!"))
		return
	}
	resp := vehicle.CreateVehicle()
	u.Respond(w, resp)
}

var GetvehiclesInService = func(w http.ResponseWriter, r *http.Request) {
	VehicleId := r.Context().Value("id").(uint)
	vehicle := &models.Vehicle{}

	err := json.NewDecoder(r.Body).Decode(vehicle)
	if err != nil {
		u.Respond(w, u.Message(false, "Error!"))
		return
	}

	vehicle.ID = VehicleId
	resp := vehicle.CreateVehicle()
	u.Respond(w, resp)
}
